
海思1G无频 - Bug #3349

8.2.5URL过滤功能测试,白名单模式，当时间不匹配时未完全屏蔽

04/10/2025 15:05 - 天驰 王

Status: Closed Start date: 04/10/2025

Priority: Normal Due date:  

Assignee: 天驰 王 % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: 590b891a_20250407114508 复现概率: 100%

Description

步骤：

2.添加设置URL过滤策略

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter -m com.ctc.igd1.ObjectManager.AddObject

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.URLFilter

"{'MAC':<'683E34D9D991'>,'Name':<'qq.com'>,'Enable':<true>,'URL':<'qq.com'>,'Mode':<byte

0x00>,'WeekDays':<'1,3,5,7'>,'Time':<'00:00-12:00'>}"

(其中MAC为LAN侧测试PC的MAC)

3.清空浏览器缓存，PC浏览器分别访问www.qq.com和map.baidu.com

4.查询URL过滤结果

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter -m com.ctc.igd1.ObjectManager.GetManagedObjects

5.修改URL过滤策略，然后执行步骤3和4

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.URLFilter

"{'Enable':<false>}"

6.修改URL过滤策略，然后执行步骤3和4

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.URLFilter

"{'Enable':<true>,'Mode':< byte 0x01>}"

7.修改URL过滤策略，然后执行步骤3和4

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.URLFilter

"{'WeekDays':<'2,4,6'>}"

8.修改URL过滤策略，然后执行步骤3和4

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.URLFilter

"{'WeekDays':<'1,3,5,7'>,'Time':<'12:00-20:00'>}"

9.修改URL过滤策略

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.URLFilter

"{'Mode':< byte 0x00>,'URLList':<['distancetomars.com','baidu']>,'Time':<'00:00-12:00'>}"

10.清空浏览器缓存，访问www.distancetomars.com和map.baidu.com，然后执行步骤4

实际结果：

步骤7 qq.com仍能访问，但不显示图片未完全屏蔽

预期结果：

步骤7：qq和baidu都访问失败，BlockedTimes返回拦截的次数不为0。

History

#1 - 04/17/2025 11:41 - 齐 刘

- Assignee changed from 齐 刘 to 良缘 彭

#2 - 04/17/2025 15:12 - 良缘 彭

- Status changed from New to Resolved

- Assignee changed from 良缘 彭 to 天驰 王

- % Done changed from 0 to 100

#3 - 04/21/2025 15:44 - 天驰 王

- Status changed from Resolved to Closed
